dns:
  nameserver-policy:
    dns.alidns.com: quic://223.5.5.5:853
    dot.pub: 119.29.29.29
    doh.pub: 119.29.29.29
    dns.pub: 119.29.29.29
    doh.360.cn: 101.198.198.198
    +.uc.cn: quic://dns.alidns.com:853
    +.alibaba.com: quic://dns.alidns.com:853
    "*.alicdn.com": quic://dns.alidns.com:853
    "*.ialicdn.com": quic://dns.alidns.com:853
    "*.myalicdn.com": quic://dns.alidns.com:853
    "*.alidns.com": quic://dns.alidns.com:853
    "*.aliimg.com": quic://dns.alidns.com:853
    +.aliyun.com: quic://dns.alidns.com:853
    "*.aliyuncs.com": quic://dns.alidns.com:853
    "*.alikunlun.com": quic://dns.alidns.com:853
    "*.alikunlun.net": quic://dns.alidns.com:853
    "*.cdngslb.com": quic://dns.alidns.com:853
    +.alipay.com: quic://dns.alidns.com:853
    +.alipay.cn: quic://dns.alidns.com:853
    +.alipay.com.cn: quic://dns.alidns.com:853
    +.alipaydev.com: quic://dns.alidns.com:853
    "*.alipayobjects.com": quic://dns.alidns.com:853
    +.alibaba-inc.com: quic://dns.alidns.com:853
    "*.alibabausercontent.com": quic://dns.alidns.com:853
    "*.alibabadns.com": quic://dns.alidns.com:853
    +.alibabachengdun.com: quic://dns.alidns.com:853
    +.alicloudccp.com: quic://dns.alidns.com:853
    +.alipan.com: quic://dns.alidns.com:853
    +.aliyundrive.com: quic://dns.alidns.com:853
    +.aliyundrive.net: quic://dns.alidns.com:853
    +.alimama.com: quic://dns.alidns.com:853
    +.cainiao.com: quic://dns.alidns.com:853
    +.cainiao.com.cn: quic://dns.alidns.com:853
    +.cainiaoyizhan.com: quic://dns.alidns.com:853
    +.guoguo-app.com: quic://dns.alidns.com:853
    +.etao.com: quic://dns.alidns.com:853
    +.yitao.com: quic://dns.alidns.com:853
    +.1688.com: quic://dns.alidns.com:853
    +.amap.com: quic://dns.alidns.com:853
    +.gaode.com: quic://dns.alidns.com:853
    +.autonavi.com: quic://dns.alidns.com:853
    +.dingtalk.com: quic://dns.alidns.com:853
    +.mxhichina.com: quic://dns.alidns.com:853
    +.soku.com: quic://dns.alidns.com:853
    +.tb.cn: quic://dns.alidns.com:853
    "*.tbcdn.cn": quic://dns.alidns.com:853
    +.taobao.com: quic://dns.alidns.com:853
    +.taobao.org: quic://dns.alidns.com:853
    "*.taobaocdn.com": quic://dns.alidns.com:853
    "*.tbcache.com": quic://dns.alidns.com:853
    +.tmall.com: quic://dns.alidns.com:853
    +.goofish.com: quic://dns.alidns.com:853
    +.xiami.com: quic://dns.alidns.com:853
    +.xiami.net: quic://dns.alidns.com:853
    "*.ykimg.com": quic://dns.alidns.com:853
    +.youku.com: quic://dns.alidns.com:853
    +.tudou.com: quic://dns.alidns.com:853
    "*.cibntv.net": quic://dns.alidns.com:853
    +.ele.me: quic://dns.alidns.com:853
    "*.elemecdn.com": quic://dns.alidns.com:853
    +.feizhu.com: quic://dns.alidns.com:853
    +.taopiaopiao.com: quic://dns.alidns.com:853
    +.fliggy.com: quic://dns.alidns.com:853
    +.alibtrip.com: quic://dns.alidns.com:853
    +.koubei.com: quic://dns.alidns.com:853
    +.mybank.cn: quic://dns.alidns.com:853
    +.mmstat.com: quic://dns.alidns.com:853
    +.uczzd.cn: quic://dns.alidns.com:853
    +.iconfont.cn: quic://dns.alidns.com:853
    +.freshhema.com: quic://dns.alidns.com:853
    +.freshippo.com: quic://dns.alidns.com:853
    +.hemamax.com: quic://dns.alidns.com:853
    +.hemaos.com: quic://dns.alidns.com:853
    +.hemashare.cn: quic://dns.alidns.com:853
    +.shyhhema.com: quic://dns.alidns.com:853
    +.sm.cn: quic://dns.alidns.com:853
    +.npmmirror.com: quic://dns.alidns.com:853
    +.alios.cn: quic://dns.alidns.com:853
    +.wandoujia.com: quic://dns.alidns.com:853
    +.9game.cn: quic://dns.alidns.com:853
    +.aligames.com: quic://dns.alidns.com:853
    +.25pp.com: quic://dns.alidns.com:853
    "*.aliapp.org": quic://dns.alidns.com:853
    +.tanx.com: quic://dns.alidns.com:853
    +.hellobike.com: quic://dns.alidns.com:853
    "*.hichina.com": quic://dns.alidns.com:853
    "*.yunos.com": quic://dns.alidns.com:853
    "*.nlark.com": quic://dns.alidns.com:853
    "*.yuque.com": quic://dns.alidns.com:853
    upos-sz-mirrorali.bilivideo.com: quic://dns.alidns.com:853
    upos-sz-estgoss.bilivideo.com: quic://dns.alidns.com:853
    ali-safety-video.acfun.cn: quic://dns.alidns.com:853
    "*.qcloud.com": https://doh.pub/dns-query
    "*.gtimg.cn": https://doh.pub/dns-query
    "*.gtimg.com": https://doh.pub/dns-query
    "*.gtimg.com.cn": https://doh.pub/dns-query
    "*.gdtimg.com": https://doh.pub/dns-query
    "*.idqqimg.com": https://doh.pub/dns-query
    "*.udqqimg.com": https://doh.pub/dns-query
    "*.igamecj.com": https://doh.pub/dns-query
    +.myapp.com: https://doh.pub/dns-query
    "*.myqcloud.com": https://doh.pub/dns-query
    +.dnspod.com: https://doh.pub/dns-query
    "*.qpic.cn": https://doh.pub/dns-query
    "*.qlogo.cn": https://doh.pub/dns-query
    +.qq.com: https://doh.pub/dns-query
    +.qq.com.cn: https://doh.pub/dns-query
    "*.qqmail.com": https://doh.pub/dns-query
    +.qzone.com: https://doh.pub/dns-query
    +.tencent-cloud.cn: https://doh.pub/dns-query
    "*.tencent-cloud.net": https://doh.pub/dns-query
    "*.tencent-cloud.com": https://doh.pub/dns-query
    +.tencent.com: https://doh.pub/dns-query
    +.tencent.com.cn: https://doh.pub/dns-query
    +.tencentmusic.com: https://doh.pub/dns-query
    +.weixinbridge.com: https://doh.pub/dns-query
    +.weixin.com: https://doh.pub/dns-query
    +.weiyun.com: https://doh.pub/dns-query
    +.soso.com: https://doh.pub/dns-query
    +.sogo.com: https://doh.pub/dns-query
    +.sogou.com: https://doh.pub/dns-query
    "*.sogoucdn.com": https://doh.pub/dns-query
    "*.roblox.cn": https://doh.pub/dns-query
    +.robloxdev.cn: https://doh.pub/dns-query
    +.wegame.com: https://doh.pub/dns-query
    +.wegame.com.cn: https://doh.pub/dns-query
    +.wegameplus.com: https://doh.pub/dns-query
    +.cdn-go.cn: https://doh.pub/dns-query
    "*.tencentcs.cn": https://doh.pub/dns-query
    "*.qcloudimg.com": https://doh.pub/dns-query
    +.dnspod.cn: https://doh.pub/dns-query
    +.anticheatexpert.com: https://doh.pub/dns-query
    url.cn: https://doh.pub/dns-query
    "*.qlivecdn.com": https://doh.pub/dns-query
    "*.tcdnlive.com": https://doh.pub/dns-query
    "*.dnsv1.com": https://doh.pub/dns-query
    "*.smtcdns.net": https://doh.pub/dns-query
    +.coding.net: https://doh.pub/dns-query
    "*.codehub.cn": https://doh.pub/dns-query
    tx-safety-video.acfun.cn: https://doh.pub/dns-query
    acg.tv: https://doh.pub/dns-query
    b23.tv: https://doh.pub/dns-query
    +.bilibili.cn: https://doh.pub/dns-query
    +.bilibili.com: https://doh.pub/dns-query
    "*.acgvideo.com": https://doh.pub/dns-query
    "*.bilivideo.com": https://doh.pub/dns-query
    "*.bilivideo.cn": https://doh.pub/dns-query
    "*.bilivideo.net": https://doh.pub/dns-query
    "*.hdslb.com": https://doh.pub/dns-query
    "*.biliimg.com": https://doh.pub/dns-query
    "*.biliapi.com": https://doh.pub/dns-query
    "*.biliapi.net": https://doh.pub/dns-query
    +.biligame.com: https://doh.pub/dns-query
    "*.biligame.net": https://doh.pub/dns-query
    +.bilicomic.com: https://doh.pub/dns-query
    +.bilicomics.com: https://doh.pub/dns-query
    "*.bilicdn1.com": https://doh.pub/dns-query
    "*.bulicdn2.com": https://doh.pub/dns-query
    +.mi.com: https://doh.pub/dns-query
    +.duokan.com: https://doh.pub/dns-query
    "*.mi-img.com": https://doh.pub/dns-query
    "*.mi-idc.com": https://doh.pub/dns-query
    "*.xiaoaisound.com": https://doh.pub/dns-query
    "*.xiaomixiaoai.com": https://doh.pub/dns-query
    "*.mi-fds.com": https://doh.pub/dns-query
    "*.mifile.cn": https://doh.pub/dns-query
    "*.mijia.tech": https://doh.pub/dns-query
    +.miui.com: https://doh.pub/dns-query
    +.xiaomi.com: https://doh.pub/dns-query
    +.xiaomi.cn: https://doh.pub/dns-query
    +.xiaomi.net: https://doh.pub/dns-query
    +.xiaomiev.com: https://doh.pub/dns-query
    +.xiaomiyoupin.com: https://doh.pub/dns-query
    +.gorouter.info: https://doh.pub/dns-query
    +.bytedance.com: 180.184.2.2
    "*.bytecdn.cn": 180.184.2.2
    "*.volccdn.com": 180.184.2.2
    "*.toutiaoimg.com": 180.184.2.2
    "*.toutiaoimg.cn": 180.184.2.2
    "*.toutiaostatic.com": 180.184.2.2
    "*.toutiaovod.com": 180.184.2.2
    "*.toutiaocloud.com": 180.184.2.2
    +.toutiaopage.com: 180.184.2.2
    +.feiliao.com: 180.184.2.2
    +.iesdouyin.com: 180.184.2.2
    "*.pstatp.com": 180.184.2.2
    +.snssdk.com: 180.184.2.2
    "*.bytegoofy.com": 180.184.2.2
    +.toutiao.com: 180.184.2.2
    +.feishu.cn: 180.184.2.2
    +.feishu.net: 180.184.2.2
    "*.feishucdn.com": 180.184.2.2
    "*.feishupkg.com": 180.184.2.2
    +.baike.com: 180.184.2.2
    +.zjurl.cn: 180.184.2.2
    +.okr.com: 180.184.2.2
    +.douyin.com: 180.184.2.2
    "*.douyinpic.com": 180.184.2.2
    "*.douyinstatic.com": 180.184.2.2
    "*.douyincdn.com": 180.184.2.2
    "*.douyinliving.com": 180.184.2.2
    "*.douyinvod.com": 180.184.2.2
    +.huoshan.com: 180.184.2.2
    +.doubao.com: 180.184.2.2
    +.coze.cn: 180.184.2.2
    +.wukong.com: 180.184.2.2
    "*.huoshanstatic.com": 180.184.2.2
    +.huoshanzhibo.com: 180.184.2.2
    +.ixigua.com: 180.184.2.2
    "*.ixiguavideo.com": 180.184.2.2
    "*.ixgvideo.com": 180.184.2.2
    "*.byted-static.com": 180.184.2.2
    +.volces.com: 180.184.2.2
    "*.zjcdn.com": 180.184.2.2
    "*.zijieapi.com": 180.184.2.2
    +.feelgood.cn: 180.184.2.2
    +.volcengine.com: 180.184.2.2
    "*.bytetcc.com": 180.184.2.2
    "*.bytednsdoc.com": 180.184.2.2
    "*.byteimg.com": 180.184.2.2
    "*.byteacctimg.com": 180.184.2.2
    "*.byteeffecttos.com": 180.184.2.2
    "*.ibytedapm.com": 180.184.2.2
    +.oceanengine.com: 180.184.2.2
    "*.edge-byted.com": 180.184.2.2
    "*.volcvideo.com": 180.184.2.2
    "*.bytecdntp.com": 180.184.2.2
    +.dongchedi.com: 180.184.2.2
    +.dcarstatic.com: 180.184.2.2
    +.dcarlive.com: 180.184.2.2
    +.dcarimg.com: 180.184.2.2
    +.dcarvod.com: 180.184.2.2
    +.dcarapi.com: 180.184.2.2
    +.pipix.com: 180.184.2.2
    +.ppximg.com: 180.184.2.2
    +.ppxstatic.com: 180.184.2.2
    +.ppxvod.com: 180.184.2.2
    +.xiaoxiaapi.com: 180.184.2.2
    +.rsproxy.cn: 180.184.2.2
    +.91.com: 180.76.76.76
    +.hao123.com: 180.76.76.76
    +.baidu.cn: 180.76.76.76
    +.baidu.com: 180.76.76.76
    +.iqiyi.com: 180.76.76.76
    "*.iqiyipic.com": 180.76.76.76
    "*.baidubce.com": 180.76.76.76
    "*.bcelive.com": 180.76.76.76
    "*.baiducontent.com": 180.76.76.76
    "*.baidustatic.com": 180.76.76.76
    "*.bdstatic.com": 180.76.76.76
    "*.bdimg.com": 180.76.76.76
    "*.bcebos.com": 180.76.76.76
    "*.baidupcs.com": 180.76.76.76
    "*.baidubcr.com": 180.76.76.76
    "*.yunjiasu-cdn.net": 180.76.76.76
    +.tieba.com: 180.76.76.76
    +.dwz.cn: 180.76.76.76
    +.zuoyebang.com: 180.76.76.76
    +.zybang.com: 180.76.76.76
    +.xiaodutv.com: 180.76.76.76
    "*.shifen.com": 180.76.76.76
    "*.jomodns.com": 180.76.76.76
    "*.bdydns.com": 180.76.76.76
    "*.jomoxc.com": 180.76.76.76
    "*.duapp.com": 180.76.76.76
    "*.antpcdn.com": 180.76.76.76
    upos-sz-mirrorbd.bilivideo.com: 180.76.76.76
    upos-sz-mirrorbdb.bilivideo.com: 180.76.76.76
    upos-sz-mirrorbos.bilivideo.com: 180.76.76.76
    "*.qhimg.com": https://doh.360.cn/dns-query
    "*.qhimgs.com": https://doh.360.cn/dns-query
    "*.qhimgs?.com": https://doh.360.cn/dns-query
    "*.qhres.com": https://doh.360.cn/dns-query
    "*.qhres2.com": https://doh.360.cn/dns-query
    "*.qhmsg.com": https://doh.360.cn/dns-query
    "*.qhstatic.com": https://doh.360.cn/dns-query
    "*.qhupdate.com": https://doh.360.cn/dns-query
    "*.qihucdn.com": https://doh.360.cn/dns-query
    +.360.com: https://doh.360.cn/dns-query
    +.360.cn: https://doh.360.cn/dns-query
    +.360.net: https://doh.360.cn/dns-query
    +.360safe.com: https://doh.360.cn/dns-query
    "*.360tpcdn.com": https://doh.360.cn/dns-query
    +.360os.com: https://doh.360.cn/dns-query
    "*.360webcache.com": https://doh.360.cn/dns-query
    +.360kuai.com: https://doh.360.cn/dns-query
    +.so.com: https://doh.360.cn/dns-query
    +.haosou.com: https://doh.360.cn/dns-query
    +.yunpan.cn: https://doh.360.cn/dns-query
    +.yunpan.com: https://doh.360.cn/dns-query
    +.yunpan.com.cn: https://doh.360.cn/dns-query
    "*.qh-cdn.com": https://doh.360.cn/dns-query
    +.baomitu.com: https://doh.360.cn/dns-query
    +.qiku.com: https://doh.360.cn/dns-query
    +.360simg.com: https://doh.360.cn/dns-query
    +.securelogin.com.cn: system
    captive.apple.com: system
    hotspot.cslwifi.com: system
    "*.m2m": system
    injections.adguard.org: system
    local.adguard.org: system
    "*.bogon": system
    instant.arubanetworks.com: system
    setmeup.arubanetworks.com: system
    router.asus.com: system
    repeater.asus.com: system
    +.asusrouter.com: system
    +.routerlogin.net: system
    +.routerlogin.com: system
    +.tplinkwifi.net: system
    +.tplogin.cn: system
    +.tplinkap.net: system
    +.tplinkmodem.net: system
    +.tplinkplclogin.net: system
    +.tplinkrepeater.net: system
    "*.ui.direct": system
    unifi: system
    "*.huaweimobilewifi.com": system
    "*.router": system
    aterm.me: system
    console.gl-inet.com: system
    homerouter.cpe: system
    mobile.hotspot: system
    ntt.setup: system
    pi.hole: system
    "*.plex.direct": system
    "*.home": system
    +.10.in-addr.arpa: system
    +.16.172.in-addr.arpa: system
    +.17.172.in-addr.arpa: system
    +.18.172.in-addr.arpa: system
    +.19.172.in-addr.arpa: system
    +.20.172.in-addr.arpa: system
    +.21.172.in-addr.arpa: system
    +.22.172.in-addr.arpa: system
    +.23.172.in-addr.arpa: system
    +.24.172.in-addr.arpa: system
    +.25.172.in-addr.arpa: system
    +.26.172.in-addr.arpa: system
    +.27.172.in-addr.arpa: system
    +.28.172.in-addr.arpa: system
    +.29.172.in-addr.arpa: system
    +.30.172.in-addr.arpa: system
    +.31.172.in-addr.arpa: system
    +.168.192.in-addr.arpa: system
    +.254.169.in-addr.arpa: system
    "*.lan": system
    "*.local": system
    "*.internal": system
    "*.localdomain": system
    +.home.arpa: system
    +.127.0.0.1.sslip.io: system
    +.127.atlas.skk.moe: system
hosts:
  dns.alidns.com:
    - 223.5.5.5
    - 223.6.6.6
    - 2400:3200:baba::1
    - 2400:3200::1
  127.0.0.1.sslip.io: 127.0.0.1
  127.atlas.skk.moe: 127.0.0.1
  cdn.jsdelivr.net: cdn.jsdelivr.net.cdn.cloudflare.net

